Isi

# Seek Statement

Menetapkan posisi untuk penulisan berikutnya atau membaca dalam berkas yang dibuka dengan pernyataan Buka.

Untuk berkas akses acak, pernyataan Seek mengatur jumlah catatan berikutnya yang akan diakses.

Untuk semua file lain, pernyataan Seek menetapkan posisi byte di mana operasi selanjutnya akan terjadi.

### Sintaksis:

    Seek [#]filePos, {filePos|recordNum}

## Parameter:

fileNum: The data channel number used in the Open statement.

filePos, recordNum: Position for the next writing or reading. Position can be a number between 1 and 2,147,483,647. According to the file type, the position indicates the number of the record (files in the Random mode) or the byte position (files in the Binary, Output, Append or Input mode). The first byte in a file is position 1, the second byte is position 2, and so on.

### Kode kesalahan:

5 Tidak sah dalam pemanggilan prosedur

52 Nama berkas atau angka yang buruk

Topik Terkait

Open Statement

Seek function